Subject: Re: [PATCH] git-repack-script: Add option to repack all objects.

From: A Large Angry SCM <[email-masked]>
Date: Mon, 29 Aug 2005 14:57:46 -0400

Junio C Hamano wrote:
> A Large Angry SCM <[email-masked]> writes:
> 
>>Frank,
>>
>>Can you produce a patch to update the git-repack-script documentation to 
>>reflect the new functionality?
> 
> Not including the doc changes in the patch was my fault, but the
> message was meant primarily as an explanation of what I meant,
> not for immediate inclusion in the master branch.
> 
> I have some other documentation updates sitting in the proposed
> updates, so I'd do it myself along with other manual pages if
> you and Frank do not mind.
> 
> In any case, I first would like to make sure that the proposed
> patch you are replying to is something Frank agrees to.
> 

I sent my request to Frank because he was/is the sponsor of the change 
but anyone can provide the documentation. :-)

I think it'd be a good idea for documentation updates to accompany all 
patches (and for the maintainer to not be shy about asking for them).

Just my $0.02 as I look at which commands have no documentation.